<script lang="ts">
    import PgRequest from './PgRequest.svelte'

    let userDataPromise

    getUserDataPromise()

    function getUserDataPromise() {
        userDataPromise = fetch('https://randomuser.me/api/')
            .then(x => x.json())
            .then(x => x.results[0])
    }
</script>
<PgRequest { userDataPromise } on:getRandomUser={ getUserDataPromise }/>